package me.hammerle.supersnuvi.tiles;

import me.hammerle.supersnuvi.javafx.Image;
import me.hammerle.supersnuvi.rendering.Game;
import me.hammerle.supersnuvi.util.Utils;

public class ColoredBaseTile extends Tile
{
    private final Image image;
    
    public ColoredBaseTile(int r, int g, int b, int alpha)
    {
        image = Utils.getColoredImage(r, g, b, alpha, Game.TILE_SIZE, Game.TILE_SIZE);
    }

    @Override
    public Image getImage(int x, int y) 
    {
        return image;
    }
}
